%define name 	coaster
%define ver	0.1.1
%define patchlevel 14
%define version %{ver}patch%{patchlevel}
%define release 6mdk

Summary: 	Versatile yet simple burning application
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.coaster-burn.org/coaster-gui/
License: 	GPL
Group: 		Archiving/Cd burning
Source: 	%{name}-gui-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick shared-mime-info
BuildRequires:	bakery-devel libburn-devel libcoaster-devel
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	libvorbis-devel
BuildRequires:	id3lib-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	automake1.7
PreReq:		shared-mime-info
Requires:	libcoaster-capplet

%description
Coaster-GUI is the graphical user frontend for the libburn library. The goal
is to present the user with a complete yet simple burning solution.
        * Audio cd sessions
        * Data cd sessions
        * File drag and drop from nautilus
        * Ability to save and restore sessions from file

%prep
%setup -q -n %name-gui--main--%ver--patch-%patchlevel

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name
rm $RPM_BUILD_ROOT/%_datadir/mime/{XMLnamespaces,globs,magic}

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/coaster"\
title="Coaster"\
longtitle="CD burning GUI"\
needs="x11"\
mimetypes="application/x-blf"\
icon="%name.png"\
section="System/Archiving/CD Burning"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus
update-mime-database /usr/share/mime

%postun
%update_menus
update-mime-database /usr/share/mime

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%_bindir/%name
%_datadir/%name
%_datadir/applications/*.desktop
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_datadir/mime/packages/*
%_datadir/mime/application/*.xml
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Sun Sep 05 2004 Marcel Pol <mpol@mandrake.org> 0.1.1patch14-6mdk
- fix menu section

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-5mdk
- even more buildrequires

* Mon Jul 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-4mdk
- add more buildrequires

* Sun Jul 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-3mdk
- fix buildrequires

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-2mdk
- rebuild for new bakery

* Thu Jul 22 2004 Austin Acton <austin@mandrake.org> 0.1.1patch14-1mdk
- patch14
- fix icon

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch9-3mdk
- fix buildrequires
- rebuild for new bakery

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.1.1patch9-2mdk
- fix menu entry (Luiz Alberto Saba)

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.1.1patch9-1mdk
- initial package

